{% extends 'base.html.twig' %}
{% form_theme form with ['bootstrap_4_layout.html.twig'] %}
{% block content %}
  {% set customer = cart.customer %}
  <div class="container">
    <h1>{{ 'comsa_sulu_shopping_cart.order_overview'|trans }}</h1>
    {% include '@SuluShoppingCart/partials/product-table.html.twig' %}
    <h2>{{ 'comsa_sulu_shopping_cart.contact_information'|trans }}</h2>
    <dl>
      <dt>{{ 'comsa_sulu_shopping_cart.email'|trans }}</dt>
      <dd>{{ customer.email }}</dd>
      <dt>{{ 'comsa_sulu_shopping_cart.phone_number'|trans }}</dt>
      <dd>{{ customer.phoneNumber }}</dd>
      <dt>{{ 'comsa_sulu_shopping_cart.name'|trans }}</dt>
      <dd>{{ customer.firstName ~ ' ' ~ customer.lastName }}</dd>
    </dl>
    <div class="row">
      <div class="col-md-6">
        <h3>{{ 'comsa_sulu_shopping_cart.billing_address'|trans }}</h3>
        {% include '@SuluShoppingCart/partials/address.html.twig' with {'address': customer.billingAddress } %}
      </div>
      <div class="col-md-6">
        <h3>{{ 'comsa_sulu_shopping_cart.shipping_address'|trans }}</h3>
        {% include '@SuluShoppingCart/partials/address.html.twig' with {'address': customer.shippingAddress|default(customer.billingAddress) } %}
      </div>
    </div>

    {{ form_start(form) }}
    {{ form_rest(form) }}
    <button type="submit" class="btn btn-primary">{{ 'comsa_sulu_shopping_cart.place_order'|trans }}</button>
    {{ form_end(form) }}
  </div>
{% endblock %}
